(** Two electron integral functor for operators that are separable among %{ $(x,y,z)$ %}.
    It is parameterized by the [zero_m] function.
*)

open Constants
let cutoff = integrals_cutoff

module T = struct

  let name = "F12"

  let f12_factor = F12factor.gaussian_geminal 1.0

  let class_of_contracted_shell_pair_couple shell_pair_couple = 
    let g = f12_factor.F12factor.gaussian in
    F12RR.contracted_class_shell_pair_couple 
      g.GaussianOperator.expo_sg_inv
      g.GaussianOperator.coef_g
      shell_pair_couple

end

module M = TwoElectronIntegrals.Make(T)
include M



